com.r3corda.contracts / InterestRateSwap / CommonLeg

# CommonLeg

`abstract class CommonLeg`

### Constructors

<init> | `CommonLeg(notional: Amount, paymentFrequency: Frequency, effectiveDate: LocalDate, effectiveDateAdjustment: DateRollConvention?, terminationDate: LocalDate, terminationDateAdjustment: DateRollConvention?, dayCountBasisDay: DayCountBasisDay, dayCountBasisYear: DayCountBasisYear, dayInMonth: Int, paymentRule: PaymentRule, paymentDelay: Int, paymentCalendar: BusinessCalendar, interestPeriodAdjustment: AccrualAdjustment)`

### Properties

dayCountBasisDay | `val dayCountBasisDay: DayCountBasisDay`
dayCountBasisYear | `val dayCountBasisYear: DayCountBasisYear`
dayInMonth | `val dayInMonth: Int`
effectiveDate | `val effectiveDate: LocalDate`
effectiveDateAdjustment | `val effectiveDateAdjustment: DateRollConvention?`
interestPeriodAdjustment | `val interestPeriodAdjustment: AccrualAdjustment`
notional | `val notional: Amount`
paymentCalendar | `val paymentCalendar: BusinessCalendar`
paymentDelay | `val paymentDelay: Int`
paymentFrequency | `val paymentFrequency: Frequency`
paymentRule | `val paymentRule: PaymentRule`
terminationDate | `val terminationDate: LocalDate`
terminationDateAdjustment | `val terminationDateAdjustment: DateRollConvention?`

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`

### Inheritors

FixedLeg | `class FixedLeg : CommonLeg`
FloatingLeg | `class FloatingLeg : CommonLeg`